Debian Bug report logs - #571389
php-imlib: FTBFS: imlib.c:46: error: duplicate 'static'

version graph

Package: src:php-imlib; Maintainer for src:php-imlib is Steve Langasek <vorlon@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 25 Feb 2010 11:03:10 UTC

Severity: serious

Tags: sid

Merged with 569118

Found in version php-imlib/0.7-1

Fixed in version php-imlib/0.7-2

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Langasek <vorlon@debian.org>:
Bug#571389; Package src:php-imlib. (Thu, 25 Feb 2010 11:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Steve Langasek <vorlon@debian.org>. (Thu, 25 Feb 2010 11:03:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: php-imlib: FTBFS: imlib.c:46: error: duplicate 'static'
Date: Thu, 25 Feb 2010 11:13:12 +0100
Source: php-imlib
Version: 0.7-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-2010-02-24 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> /bin/bash /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/libtool --mode=compile x86_64-linux-gnu-gcc  -I. -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7 -DPHP_ATOM_INC -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/include -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/main -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7 -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib  -DHAVE_CONFIG_H  -g -O2   -c /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c -o imlib.lo 
> libtool: compile:  x86_64-linux-gnu-gcc -I. -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7 -DPHP_ATOM_INC -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/include -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/main -I/build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7 -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -I/usr/include/php5/ext/date/lib -DHAVE_CONFIG_H -g -O2 -c /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c  -fPIC -DPIC -o .libs/imlib.o
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:46: error: duplicate 'static'
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:54: error: duplicate 'static'
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:77: error: 'second_arg_force_ref' undeclared here (not in a function)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:114: error: 'third_arg_force_ref' undeclared here (not in a function)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function '_php_imlib_draw_something':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:492: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function '_php_imlib_single_arg':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:524: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_add_color_to_color_range':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:551: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_blend_image_onto_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:577: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_clone_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:613: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_create_cropped_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:652: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_create_cropped_scaled_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:676: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_create_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:705: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_create_rotated_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:734: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_create_scaled_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:768: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_dump_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:811: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_free_color_range':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:904: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_free_font':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:921: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_free_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:938: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_get_text_size':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:957: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_blur':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:993: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_draw_polygon':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1039: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_fill_color_range_rectangle':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1088: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_fill_polygon':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1136: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_format':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1207: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_get_filename':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1231: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_get_height':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1255: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_get_width':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1277: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_has_alpha':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1298: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_modify_alpha':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1328: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_set_format':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1368: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_image_sharpen':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1396: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_load_font':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1471: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_load_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1497: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_polygon_add_point':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1534: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_polygon_contains_point':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1558: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_polygon_free':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1590: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_polygon_get_bounds':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1608: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_save_image':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1655: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_text_draw':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1704: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c: In function 'zif_imlib_set_cache_size':
> /build/user-php-imlib_0.7-1-amd64-EJ1z46/php-imlib-0.7/imlib.c:1745: warning: 'zend_get_parameters_ex' is deprecated (declared at /usr/include/php5/Zend/zend_API.h:222)
> make[1]: *** [imlib.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010-02-24/php-imlib_0.7-1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Forcibly Merged 569118 571389. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Thu, 25 Feb 2010 11:13:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jun 2011 07:35:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:00:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.